ID CVE-2020-2178
Summary Jenkins Parasoft Findings Plugin 10.4.3 and earlier does not configure its XML parser to prevent XML external entity (XXE) attacks.
References
Vulnerable Configurations
  • cpe:2.3:a:jenkins:parasoft_findings:10.2.2:*:*:*:*:jenkins:*:*
    cpe:2.3:a:jenkins:parasoft_findings:10.2.2:*:*:*:*:jenkins:*:*
  • cpe:2.3:a:jenkins:parasoft_findings:10.2.3:*:*:*:*:jenkins:*:*
    cpe:2.3:a:jenkins:parasoft_findings:10.2.3:*:*:*:*:jenkins:*:*
  • cpe:2.3:a:jenkins:parasoft_findings:10.2.3.1:*:*:*:*:jenkins:*:*
    cpe:2.3:a:jenkins:parasoft_findings:10.2.3.1:*:*:*:*:jenkins:*:*
  • cpe:2.3:a:jenkins:parasoft_findings:10.3.0:*:*:*:*:jenkins:*:*
    cpe:2.3:a:jenkins:parasoft_findings:10.3.0:*:*:*:*:jenkins:*:*
  • cpe:2.3:a:jenkins:parasoft_findings:10.3.2:*:*:*:*:jenkins:*:*
    cpe:2.3:a:jenkins:parasoft_findings:10.3.2:*:*:*:*:jenkins:*:*
  • cpe:2.3:a:jenkins:parasoft_findings:10.3.3:*:*:*:*:jenkins:*:*
    cpe:2.3:a:jenkins:parasoft_findings:10.3.3:*:*:*:*:jenkins:*:*
  • cpe:2.3:a:jenkins:parasoft_findings:10.3.4:*:*:*:*:jenkins:*:*
    cpe:2.3:a:jenkins:parasoft_findings:10.3.4:*:*:*:*:jenkins:*:*
  • cpe:2.3:a:jenkins:parasoft_findings:10.3.5:*:*:*:*:jenkins:*:*
    cpe:2.3:a:jenkins:parasoft_findings:10.3.5:*:*:*:*:jenkins:*:*
  • cpe:2.3:a:jenkins:parasoft_findings:10.3.6:*:*:*:*:jenkins:*:*
    cpe:2.3:a:jenkins:parasoft_findings:10.3.6:*:*:*:*:jenkins:*:*
  • cpe:2.3:a:jenkins:parasoft_findings:10.4.0:*:*:*:*:jenkins:*:*
    cpe:2.3:a:jenkins:parasoft_findings:10.4.0:*:*:*:*:jenkins:*:*
  • cpe:2.3:a:jenkins:parasoft_findings:10.4.1:-:*:*:*:jenkins:*:*
    cpe:2.3:a:jenkins:parasoft_findings:10.4.1:-:*:*:*:jenkins:*:*
  • cpe:2.3:a:jenkins:parasoft_findings:10.4.1:pre:*:*:*:jenkins:*:*
    cpe:2.3:a:jenkins:parasoft_findings:10.4.1:pre:*:*:*:jenkins:*:*
  • cpe:2.3:a:jenkins:parasoft_findings:10.4.2:*:*:*:*:jenkins:*:*
    cpe:2.3:a:jenkins:parasoft_findings:10.4.2:*:*:*:*:jenkins:*:*
  • cpe:2.3:a:jenkins:parasoft_findings:10.4.3:*:*:*:*:jenkins:*:*
    cpe:2.3:a:jenkins:parasoft_findings:10.4.3:*:*:*:*:jenkins:*:*
CVSS
Base: 5.5 (as of 27-04-2020 - 18:45)
Impact:
Exploitability:
CWE CWE-611
CAPEC
  • XML External Entities Blowup
    This attack takes advantage of the entity replacement property of XML where the value of the replacement is a URI. A well-crafted XML document could have the entity refer to a URI that consumes a large amount of resources to create a denial of service condition. This can cause the system to either freeze, crash, or execute arbitrary code depending on the URI.
Access
VectorComplexityAuthentication
NETWORK LOW SINGLE
Impact
ConfidentialityIntegrityAvailability
PARTIAL PARTIAL NONE
cvss-vector via4 AV:N/AC:L/Au:S/C:P/I:P/A:N
refmap via4
confirm https://jenkins.io/security/advisory/2020-04-16/#SECURITY-1753
mlist [oss-security] 20200416 Multiple vulnerabilities in Jenkins plugins
Last major update 27-04-2020 - 18:45
Published 16-04-2020 - 19:15
Last modified 27-04-2020 - 18:45
Back to Top